Subject: Re: bug#27018: [PATCH 1/5] gnu: Allow overriding of xgcc package in cross-gcc.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 24 May 2017 23:29:02 +0200

Danny Milosavljevic <[email-masked]> writes:

> Hi Ricardo,
>
> On Mon, 22 May 2017 16:13:15 +0200
> Ricardo Wurmus <[email-masked]> wrote:
>
>>  (define* (cross-gcc target
>> -                    #:optional (xbinutils (cross-binutils target)) libc)
>> +                    #:key
>> +                    (xgcc %xgcc)
>> +                    (xbinutils (cross-binutils target))
>> +                    (libc #f))
>
> Why is it "xgcc", "xbinutils", but "libc" (no "x")? Aren't they all the "cross" versions?

I don’t really know, but I assumed that it is because the libc is not a
set of cross-build tools but a library.

Anyway, thanks for the review.  I’m going to push this now.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net